package partisan.weforge.xyz.pulse

import android.os.Bundle
import android.view.LayoutInflater
import android.view.View
import android.view.ViewGroup
import android.widget.ToggleButton
import androidx.fragment.app.Fragment

class MainFragment : Fragment() {

    private lateinit var prefs: Preferences

    override fun onCreateView(
        inflater: LayoutInflater, container: ViewGroup?,
        savedInstanceState: Bundle?
    ): View {
        val view = inflater.inflate(R.layout.fragment_main, container, false)
        prefs = Preferences(requireContext())

        val toggle = view.findViewById<ToggleButton>(R.id.toggle)
        toggle.isChecked = prefs.isEnabled
        toggle.setOnCheckedChangeListener { _, isChecked ->
            prefs.isEnabled = isChecked
        }

        return view
    }
}
